<!DOCTYPE html>
<html>
  <head>
    <title>FarmBuddy Sensor Data Widget</title>
  </head>
  <body>
    <div id="widgetContainer" style="border: 1px solid black; padding: 10px; width: 300px;">
      <h3>FarmBuddy Sensor Data Widget</h3>
      <p>Temperature: <span id="tempData"></span> &deg;C</p>
      <p>Humidity: <span id="humidData"></span> %</p>
      <p>Heat Index: <span id="heatIndexData"></span> &deg;C</p>
    </div>
    <script>
      fetch('/data')
        .then(res => res.json())
        .then(data => {
          const latestData = data[data.length - 1];
          const temp = latestData.msg.temp;
          const humid = latestData.msg.humid;
          const heatIndex = latestData.msg.heatIndex;
          document.getElementById('tempData').innerHTML = temp.toFixed(2);
          document.getElementById('humidData').innerHTML = humid.toFixed(2);
          document.getElementById('heatIndexData').innerHTML = heatIndex.toFixed(2);
        });
    </script>
  </body>
</html>
